Subject: Re: [PATCH v3] net-sysfs: Fix reference count leak

From: [email-masked] (Jouni Högander)
Date: Tue, 19 Nov 2019 11:00:19 +0200

Greg Kroah-Hartman <[email-masked]> writes:

> On Tue, Nov 19, 2019 at 09:45:02AM +0200, Jouni Högander wrote:
>> Do you think better choise would be to remove BUG_ON completely rather
>> than replacing it with WARN_ON?
>
> I don't know this code, and I'm not the maintainer of it, so I don't
> have a strong opinion.  Other than if this was code I was maintaining, I
> would not want it there :)
>
> Anyway, your original fix looks sane to me, and that's probably a good
> thing to just do now and then you can work on these other things.
>
> thanks,
>
> greg k-h

Thank you a lot for your help on this patch.

BR,

Jouni Högander